FolksDummy.FullPersona.update_avatar – folks-dummy Reference Manual

# update_avatar

## Description:

public void update_avatar (LoadableIcon? avatar)

Update persona's avatar.

This simulates a backing-store-side update of the persona's Folks.AvatarDetails.avatar property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

avatar | persona's new avatar

## Since:

0.9.7